CMSIS-Driver: SAI Protocol

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
SAI Protocol
SAI Configuration

Defines Transmitter/Receiver protocol. More...

## Macros

#define | ARM_SAI_PROTOCOL_USER (0UL << ARM_SAI_PROTOCOL_Pos)
| User defined (default) More...
#define | ARM_SAI_PROTOCOL_I2S (1UL << ARM_SAI_PROTOCOL_Pos)
| I2S. More...
#define | ARM_SAI_PROTOCOL_MSB_JUSTIFIED (2UL << ARM_SAI_PROTOCOL_Pos)
| MSB (left) justified. More...
#define | ARM_SAI_PROTOCOL_LSB_JUSTIFIED (3UL << ARM_SAI_PROTOCOL_Pos)
| LSB (right) justified. More...
#define | ARM_SAI_PROTOCOL_PCM_SHORT (4UL << ARM_SAI_PROTOCOL_Pos)
| PCM with short frame. More...
#define | ARM_SAI_PROTOCOL_PCM_LONG (5UL << ARM_SAI_PROTOCOL_Pos)
| PCM with long frame. More...
#define | ARM_SAI_PROTOCOL_AC97 (6UL << ARM_SAI_PROTOCOL_Pos)
| AC'97. More...

## Description

Defines Transmitter/Receiver protocol.

## Macro Definition Documentation

#define ARM_SAI_PROTOCOL_USER (0UL << ARM_SAI_PROTOCOL_Pos)

User defined (default)

#define ARM_SAI_PROTOCOL_I2S (1UL << ARM_SAI_PROTOCOL_Pos)

I2S.

#define ARM_SAI_PROTOCOL_MSB_JUSTIFIED (2UL << ARM_SAI_PROTOCOL_Pos)

MSB (left) justified.

#define ARM_SAI_PROTOCOL_LSB_JUSTIFIED (3UL << ARM_SAI_PROTOCOL_Pos)

LSB (right) justified.

#define ARM_SAI_PROTOCOL_PCM_SHORT (4UL << ARM_SAI_PROTOCOL_Pos)

PCM with short frame.

#define ARM_SAI_PROTOCOL_PCM_LONG (5UL << ARM_SAI_PROTOCOL_Pos)

PCM with long frame.

#define ARM_SAI_PROTOCOL_AC97 (6UL << ARM_SAI_PROTOCOL_Pos)

AC'97.